%define build_plf 0
%define release %mkrel 2
%{?_with_plf: %{expand: %%global build_plf 1}}
%if %build_plf
%define distsuffix plf
%endif

Name:		soundkonverter
Summary:	A frontend to various audio converters
Version:	0.3.6
Release:	%{release}
License:	GPL
Group:		Sound
URL:		http://kaligames.de/?pid=downloads/soundkonverter/index.php
Source0:	http://kaligames.de/downloads/download.php?file=soundkonverter/%{name}-%{version}.tar.bz2
Patch0:		%{name}-0.3.4-automake.patch
Patch1:		%{name}-0.3.4-kscrollview.patch
BuildRequires:	kdelibs-devel
BuildRequires:	libcdda-devel
BuildRequires:	libtaglib-devel
Requires(pre):	rpm-helper
Requires(post):	desktop-file-utils
Requires(postun): desktop-file-utils
Requires:	taglib
Requires:	vorbis-tools
Requires:	vorbisgain
Requires:	wavpack
Requires:	speex
Requires:	flac
Requires:	cdparanoia
Requires:	mppenc
%if %build_plf
BuildRequires:	libmpeg4ip-devel >= 1.2
Requires:	petit
Requires:	faac
Requires:	faad2
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
soundKonverter project is a frontend to various audio converters.
Currently supported backends are oggenc, oggdec, flac, lame, 
ffmpeg (partly), mplayer (partly).
With soundKonverter you can convert between various audio 
file formats. Supported formats are: (encode/decode)
   
ogg (e/d)
flac (e/d)
mp3 (e/d)
wav (e/d)
wma (d)
%if %build_plf
This package is in PLF as the MP4 support is violating patents.
%endif

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure2_5x \
    --disable-rpath \
    %if "%{_lib}" == "lib64"
    --enable-libsuffix=64 \
    %endif
    %if %build_plf
    --with-mp4v2 \
    --with-mp4v2-dir=%{_prefix} \
    %endif
    --enable-nmcheck \
    --enable-final \
    --enable-new-ldflags \
    --enable-pch

%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%makeinstall_std

desktop-file-install \
	--add-category="Audio" \
	--add-only-show-in="KDE" \
	--dir %{buildroot}%{_datadir}/applications/kde %{buildroot}%{_datadir}/applications/kde/*

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post
%{update_menus}
%{update_desktop_database}
%{update_mime_database}
%update_icon_cache hicolor

%postun
%{clean_menus}
%{clean_desktop_database}
%{clean_mime_database}
%clean_icon_cache hicolor
   
%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING
%attr(755,root,root) %{_bindir}/%{name}
%{_datadir}/applications/kde/%{name}.desktop
%{_datadir}/apps/soundkonverter/soundkonverterui.rc
%dir %{_datadir}/doc/HTML/en/soundkonverter
%{_datadir}/doc/HTML/en/soundkonverter/*
%{_iconsdir}/hicolor/*/apps/*.png
%{_datadir}/apps/konqueror/servicemenus/audiocd_extract_with_soundkonverter.desktop
%{_datadir}/apps/soundkonverter/amarokscript/README
%attr(755,root,root) %{_datadir}/apps/soundkonverter/amarokscript/soundKonverter.rb
%{_datadir}/apps/soundkonverter/format_infos/*.xml
%dir %{_datadir}/apps/%{name}
%dir %{_datadir}/apps/%{name}/amarokscript
%dir %{_datadir}/apps/%{name}/format_infos
%dir %{_datadir}/apps/%{name}/pics
%dir %{_datadir}/apps/%{name}/plugins 	
%{_datadir}/apps/%{name}/pics/*.png
%{_datadir}/apps/%{name}/plugins/*.xml
%{_datadir}/mimelnk/application/x-la.desktop
%{_datadir}/mimelnk/application/x-ofc.desktop
%{_datadir}/mimelnk/application/x-ofr.desktop
%{_datadir}/mimelnk/application/x-ofs.desktop
%exclude %{_datadir}/mimelnk/application/x-shorten.desktop
%exclude %{_datadir}/mimelnk/audio/x-ape.desktop
%{_datadir}/mimelnk/audio/x-pac.desktop
%{_datadir}/mimelnk/audio/x-wavpack-correction.desktop
%exclude %{_datadir}/mimelnk/audio/x-wavpack.desktop
%exclude %{_datadir}/mimelnk/video/x-flv.desktop
%{_datadir}/mimelnk/audio/x-bonk.desktop
%exclude %{_datadir}/mimelnk/audio/x-tta.desktop


%changelog
* Tue Oct 16 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.6-2mdv2008.1
+ Revision: 98848
- fix bug #34809

* Mon Sep 03 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.6-1mdv2008.0
+ Revision: 78533
- remove conditionals for older mdv releases

  + Funda Wang <fundawang@mandriva.org>
    - New version 0.3.6

* Sat Sep 01 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.5-1mdv2008.0
+ Revision: 77220
- new version

* Wed Aug 29 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.4-2mdv2008.0
+ Revision: 74905
- remove conflicting files with kdelibs-common

* Wed Aug 29 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.4-1mdv2008.0
+ Revision: 74624
- add automake patch
- add patch wich uses QScrollView
- correct requires
- add scriplets
- spec file clean
- new version

* Sun May 06 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.3-1mdv2008.0
+ Revision: 23722
- new version

* Fri Apr 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-1mdv2008.0
+ Revision: 16161
- new version
- drop P0


* Mon Jan 29 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.1-1mdv2007.0
+ Revision: 114883
- new version
- drop patch 0 (merged upstream)
- correct url

* Thu Jan 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3-3mdv2007.1
+ Revision: 113477
- added patch 1, now soundkonverter should see all plugins and backends(Daniel Faust)
- reenable macros for configure and make
- onw missing directories

* Mon Jan 22 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3-2mdv2007.1
+ Revision: 112092
- add requires

* Tue Jan 16 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3-1mdv2007.1
+ Revision: 109606
- do not use %%configure and %%make macros
- new version
- regenerate patch 0
- spec file clean

* Fri Dec 29 2006 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.95-2mdv2007.1
+ Revision: 102628
- spec file clean
- add compile options

* Mon Dec 18 2006 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.95-1mdv2007.1
+ Revision: 98722
- Import soundkonverter

